Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class DataDefinitionParseError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.makumba.MakumbaError
                  org.makumba.DefinitionParseError
                      org.makumba.DataDefinitionParseError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataDefinitionNotFoundError

    public class DataDefinitionParseError

extends DefinitionParseError

Error occured during data definition parsing. It can contain a number of errors occured at different lines during parsing

Version:
  $Id: DataDefinitionParseError.java 1570 2007-09-16 21:13:06Z rosso_nero $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.DefinitionParseError
`column, components, line, lines, typeName`

Constructor Summary
`DataDefinitionParseError()`
`DataDefinitionParseError(String explanation)` Construct a message from the given explanation
`DataDefinitionParseError(String typeName, IOException e)` Construct a message for an error that is due to an IOException
`DataDefinitionParseError(String typeName, String reason)` Construct a message for a type
`DataDefinitionParseError(String typeName, String reason, String line)` Construct a message for a line
`DataDefinitionParseError(String typeName, String reason, String line, int column)` Construct a message for a line and column

Method Summary

Methods inherited from class org.makumba.DefinitionParseError
`add, getMessage, getTypeName, isSingle, pointError, showTypeName`

Methods inherited from class org.makumba.MakumbaError
`printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataDefinitionParseError

    public DataDefinitionParseError()

### DataDefinitionParseError

    public DataDefinitionParseError(String explanation)

  Construct a message from the given explanation

### DataDefinitionParseError

    public DataDefinitionParseError(String typeName,
                                    IOException e)

  Construct a message for an error that is due to an IOException

### DataDefinitionParseError

    public DataDefinitionParseError(String typeName,
                                    String reason)

  Construct a message for a type

### DataDefinitionParseError

    public DataDefinitionParseError(String typeName,
                                    String reason,
                                    String line)

  Construct a message for a line

### DataDefinitionParseError

    public DataDefinitionParseError(String typeName,
                                    String reason,
                                    String line,
                                    int column)

  Construct a message for a line and column

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20